# Ahumm of Sidon, Naumachia Champion (Ahumm von Sidon, Naumachie-Champion)

**Entity Type:** Specialist

## Properties
| Field | Value |
|-------|-------|
| Rarity | Legendary |
| Category | Military |
| Slot Type | Captain |
| Scope | Ship |

## Effects
| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Ship Scorpio Attack Range | Ship | +25% | Ship |
| Ship Scorpio Attack Speed | Ship | +45 | Ship |
| Hitpoints | Ship | +60 | Ship |
| Self-repair Speed | Ship | +100% | Ship |

## Boost Unlock
Likes when a ship is heavily armed.

## Improves Buildings
- Ships

## Source
All traders
